{ lib
, rustPlatform
, fetchurl
, pkg-config
, libxkbcommon
}:
rustPlatform.buildRustPackage {

  pname = "ewwbar";
  version = "0.1.0";

  src = fetchurl {
    url = "https://git.huwe.mooo.com/willifan/desktop-utils/archive/main.tar.gz";
    sha256 = "sha256-qolavUf7wKjwXlbBOz5gphjk1aqCBgbdLY62N3plbB8=";
  };

  cargoHash = "sha256-H0Mm5BdxmR6WM3KHRSuBYfCxSdLcp95sT4qbARL5ywU=";


  nativeBuildInputs = [
    pkg-config
  ];

  buildInputs = [
    libxkbcommon
  ];

  meta = with pkgs.lib; {
    description = "utils for my desktop";
    homepage = " git.huwe.mooo.com/willifan/desktop-utils";
    license = licenses.gpl3;
    platforms = platforms.unix;
    mainProgram = "ewwbar";
  }; 

}
